Package com.google.android.exoplayer2.video

## Class DolbyVisionConfig

- java.lang.Object
- - com.google.android.exoplayer2.video.DolbyVisionConfig

-     public final class DolbyVisionConfig
      extends Object

  Dolby Vision configuration data.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `String` | `codecs` | The RFC 6381 codecs string.
    `int` | `level` | The level number.
    `int` | `profile` | The profile number.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static DolbyVisionConfig` | `parse​(ParsableByteArray data)` | Parses Dolby Vision configuration data.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### profile

          public final int profile

      The profile number.

    - #### level

          public final int level

      The level number.

    - #### codecs

          public final String codecs

      The RFC 6381 codecs string.

  - ### Method Detail

    - #### parse

          @Nullable
          public static DolbyVisionConfig parse​(ParsableByteArray data)

      Parses Dolby Vision configuration data.
      Parameters:
        `data` - A `ParsableByteArray`, whose position is set to the start of the Dolby Vision configuration data to parse.
      Returns:
        The `DolbyVisionConfig` corresponding to the configuration, or `null` if the configuration isn't supported.